/*
 * Created on Apr 27, 2005
 *
 */
package edu.cs2335.SWATLP.client.clientdata;

import java.awt.Image;

import javax.swing.ImageIcon;

/**
 * @author thaile
 * This is holds all the BASE data and images about 
 * the different stats of the ships
 * 
 * protocal
 *   name, type, maxgunslots, currentgunslots, cargoSize,
 *  hitpoints, fuel, info.....
 */
public class ShipInfo {
    /**
     * Comment for <code>Trader</code>
     */
    public static final String [] TRADER = {"SWCT", "Trader", "2000",
            "3", "1", "100", "80", "100",
            "Build back in the 22nd Century the ",
            "Trader was one of the first warp ship",
            "to be build.  It is a testiment to ",
            "the designer and the versatility of",
            "the ship that it is still in service",
            "after a century of use."};
    
    /**
     * Comment for <code>Fighter</code>
     */
    public static final String [] FIGHTER = {"RFTC", "Fighter", "3000",
            "10", "2", "50", "120", "100",
            "Due to increasing pirate activity",
            "Some pilots began to retrofit the",
            "Fighter with more gunports and armor",
            "improving the surviablity of the ",
            "ship, but at the cost of cargo space"};
    
    /**
     * Comment for <code>Ultimate</code>
     */
    public static final String [] ULTIMATE = {"RFTC", "Ultimate", "10000",
            "20", "5", "100", "200", "200",
            "The apex of modern warship design,",
            "the Ultimate represents the best",
            "available offensive and defensive",
            "ship platform available today. It does",
            "not come cheap, but for those who can",
            "afford it, the value is well worth it."};
    
    /**
     * Comment for <code>TraderPic</code>
     */
    public static final Image TRADERPIC = (new ImageIcon(
            "pics/ship/cargo1.png")).getImage();
    /**
     * Comment for <code>FighterPic</code>
     */
    public static final Image FIGHTERPIC = (new ImageIcon(
            "pics/ship/fighter1.png")).getImage();
    
    /**
     * Comment for <code>UltimatePIC</code>
     */
    public static final Image ULTIMATEPIC = (new ImageIcon(
    "pics/ship/ultimate.png")).getImage();
}


