package edu.cs2335.SWATLP.client.spacegame;

import java.util.ArrayList;
import java.util.List;

/**
 * @author jonathan <p/>
 */
public class Zone {

    /**
     * Comment for <code>screenobjects</code>
     */
    private List screenobjects;
    /**
     * Comment for <code>playership</code>
     */
    private PlayerShip playership;

    /**
     *  
     */
    public Zone() {
        screenobjects = new ArrayList();
    }

    /**
     * @return Returns the board.
     */
    public List getObjectList() {
        return screenobjects;
    }

    /**
     * @param toadd blah
     */
    public void addToObjects(ScreenObject toadd) {
        //System.out.println("object added" + toadd.toString());
        screenobjects.add(toadd);
    }

    /**
     * @return Returns the playership.
     */
    public PlayerShip getPlayership() {
        return playership;
    }
    /**
     * @param playership The playership to set.
     */
    public void setPlayership(PlayerShip playership) {
        this.playership = playership;
    }
    /**
     * @return Returns the screenobjects.
     */
    public List getScreenobjects() {
        return screenobjects;
    }
    /**
     * @param screenobjects The screenobjects to set.
     */
    public void setScreenobjects(List screenobjects) {
        this.screenobjects = screenobjects;
    }
}